summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-03-11 21:13:20 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:41 -0400
commitb2f82851ce15c5b70f10f20fba50b2d5dae73499 (patch)
tree83cfa08eb20b1ec1581efa4429e7e494457b43f8
parent856d5f11d263065015f064241dc22047ce12f16f (diff)
downloadslackbuilds-b2f82851ce15c5b70f10f20fba50b2d5dae73499.tar.gz
slackbuilds-b2f82851ce15c5b70f10f20fba50b2d5dae73499.tar.xz
academic/ucsc-blat: Added (The BLAST-Like Alignment Tool)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--academic/ucsc-blat/LICENSE8
-rw-r--r--academic/ucsc-blat/README11
-rw-r--r--academic/ucsc-blat/References2
-rw-r--r--academic/ucsc-blat/slack-desc19
-rw-r--r--academic/ucsc-blat/ucsc-blat.SlackBuild93
-rw-r--r--academic/ucsc-blat/ucsc-blat.info10
6 files changed, 143 insertions, 0 deletions
diff --git a/academic/ucsc-blat/LICENSE b/academic/ucsc-blat/LICENSE
new file mode 100644
index 0000000000..d2d7cd5a27
--- /dev/null
+++ b/academic/ucsc-blat/LICENSE
@@ -0,0 +1,8 @@
+BLAT was written by Jim Kent. Sources and executables to run
+batch jobs on your own server are available free for academic,
+personal, and non-profit purposes. Non-exclusive commercial licenses
+are also available.
+
+For information about commercial licensing of Blat, see the Kent
+Informatics website (http://www.kentinformatics.com/) or contact
+kent@soe.ucsc.edu.
diff --git a/academic/ucsc-blat/README b/academic/ucsc-blat/README
new file mode 100644
index 0000000000..8f47ce6e07
--- /dev/null
+++ b/academic/ucsc-blat/README
@@ -0,0 +1,11 @@
+BLAT is a bioinformatics software tool which performs rapid mRNA/DNA
+and cross-species protein alignments. BLAT is more accurate and 500
+times faster than popular existing tools for mRNA/DNA alignments and
+50 times faster for protein alignments at sensitivity settings
+typically used when comparing vertebrate sequences.
+
+For details and citation:
+Source: Kent, W.J. 2002. BLAT -- The BLAST-Like Alignment Tool.
+Genome Research 4: 656-664.
+
+This just repackages the binaries provided from upstream.
diff --git a/academic/ucsc-blat/References b/academic/ucsc-blat/References
new file mode 100644
index 0000000000..f8c9739955
--- /dev/null
+++ b/academic/ucsc-blat/References
@@ -0,0 +1,2 @@
+Source: Kent, W.J. 2002. BLAT -- The BLAST-Like Alignment Tool.
+Genome Research 4: 656-664.
diff --git a/academic/ucsc-blat/slack-desc b/academic/ucsc-blat/slack-desc
new file mode 100644
index 0000000000..cb6eff3cf2
--- /dev/null
+++ b/academic/ucsc-blat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ucsc-blat: ucsc-blat (BLAT -- The BLAST-Like Alignment Tool)
+ucsc-blat:
+ucsc-blat: BLAT is a bioinformatics software a tool which performs rapid
+ucsc-blat: mRNA/DNA and cross-species protein alignments. BLAT is more accurate
+ucsc-blat: and 500 times faster than popular existing tools for mRNA/DNA
+ucsc-blat: alignments and 50 times faster for protein alignments at sensitivity
+ucsc-blat: settings typically used when comparing vertebrate sequences.
+ucsc-blat:
+ucsc-blat: Home: http://www.kentinformatics.com/
+ucsc-blat: References:/usr/doc/ucsc-blat-$VERSION/References
+ucsc-blat:
diff --git a/academic/ucsc-blat/ucsc-blat.SlackBuild b/academic/ucsc-blat/ucsc-blat.SlackBuild
new file mode 100644
index 0000000000..e207ea3e0d
--- /dev/null
+++ b/academic/ucsc-blat/ucsc-blat.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for ucsc-blat
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ucsc-blat
+VERSION=${VERSION:-34}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=blatSuite
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGVER
+mkdir $PRGNAM-$PRGVER
+cd $PRGNAM-$PRGVER
+unzip $CWD/${SRCNAM}.${VERSION}.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install the precompiled binaries.
+install -D -m755 blat $PKG/usr/bin/blat
+install -D -m755 faToNib $PKG/usr/bin/faToNib
+install -D -m755 faToTwoBit $PKG/usr/bin/faToTwoBit
+install -D -m755 gfClient $PKG/usr/bin/gfClient
+install -D -m755 gfServer $PKG/usr/bin/gfServer
+install -D -m755 nibFrag $PKG/usr/bin/nibFrag
+install -D -m755 pslPretty $PKG/usr/bin/pslPretty
+install -D -m755 pslReps $PKG/usr/bin/pslReps
+install -D -m755 pslSort $PKG/usr/bin/pslSort
+install -D -m755 twoBitInfo $PKG/usr/bin/twoBitInfo
+install -D -m755 twoBitToFa $PKG/usr/bin/twoBitToFa
+install -D -m755 webBlat $PKG/usr/bin/webBlat
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a version.doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+cat $CWD/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ucsc-blat/ucsc-blat.info b/academic/ucsc-blat/ucsc-blat.info
new file mode 100644
index 0000000000..da78e80fff
--- /dev/null
+++ b/academic/ucsc-blat/ucsc-blat.info
@@ -0,0 +1,10 @@
+PRGNAM="ucsc-blat"
+VERSION="34"
+HOMEPAGE="http://users.soe.ucsc.edu/~kent/"
+DOWNLOAD="http://hgwdev.cse.ucsc.edu/~kent/exe/linux/blatSuite.34.zip"
+MD5SUM="ec9fbe02fed2f15051893001da5db767"
+DOWNLOAD_x86_64="http://hgwdev.cse.ucsc.edu/~kent/exe/opteron/blatSuite.34.zip"
+MD5SUM_x86_64="bf9042aa85a04ce85b24cef11011faee"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"